package capitulo03.utils;

import java.util.Scanner;

public class Utils {
    public static int solicitarIntScanner(String pregunta) {
        System.out.println(pregunta);
        Scanner sc = new Scanner(System.in);
        return sc.nextInt();
    }
    public static boolean comprobarPrimo(int primo) {
        for (int i = 2; i <= (primo/2f); i++) {
            if (primo % i == 0) {
                return false;
            }
        }
        return true;
    }
    public static boolean comprobarPerfecto(int num) {
        if (num <= 1) {
            return false;
        }

        int sumaDivisores = 1;
        for (int i = 2; i <= Math.sqrt(num); i++) {
            if (num % i == 0) {
                sumaDivisores += i;
                if (i != num / i) {
                    sumaDivisores += num / i;
                }
            }
        }

        return sumaDivisores == num;
    }
    public static double generarNumAleatorio(int multiplicador) {
        return Math.random() * multiplicador;
    }

}
